%define variants installer system livecd
%define theme junior
%define base_name design-bootloader

Name: %base_name-%theme-sj
Version: 4.0.0
Release: alt1

Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
License: GPL

BuildArch: noarch
PreReq: coreutils
BuildRequires: cpio gfxboot >= 2.5 fonts-ttf-dejavu >= 2.21 rsync
BuildRequires: design-bootloader-installer-source design-bootloader-system-source design-bootloader-livecd-source

Source: %name-%version.tar

%description
Here you find the graphical boot logo. Suitable for both lilo and syslinux.

%package -n %base_name-installer-%theme-sj
PreReq: coreutils
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Junior = %version-%release
Obsoletes: %base_name-Junior < %version-%release

%description -n %base_name-installer-%theme-sj
Graphical boot logo for lilo and syslinux.

%package -n %base_name-system-%theme-sj
PreReq: coreutils
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Junior = %version-%release
Obsoletes: %base_name-Junior < %version-%release

%description -n %base_name-system-%theme-sj
Graphical boot logo for lilo and syslinux.

%package -n %base_name-livecd-%theme-sj
PreReq: coreutils
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Junior = %version-%release
Obsoletes: %base_name-Junior < %version-%release

%description -n %base_name-livecd-%theme-sj
Graphical boot logo for lilo and syslinux.

%prep
%setup
for v in %variants
do
    cp -a  /usr/src/design-bootloader-$v-source ./
    rsync -a --exclude='design-bootloader-*-source' . design-bootloader-$v-source
done
find . -name Makefile -exec sed -i 's/DejaVuSans:/DejaVuCondensedSans:/g' {} \;

%build
for v in %variants
do
    pushd design-bootloader-$v-source
    %make BINDIR=/usr/bin/
    popd
done

%install
for v in %variants
do
    pushd design-bootloader-$v-source
    install -d -m 755 %buildroot/boot/splash/%theme-$v
    install -d -m 755 %buildroot/%_datadir/gfxboot/%theme-$v/
    install -m 644 boot/message %buildroot/boot/splash/%theme-$v/
    install -m 644 install/bootlogo %buildroot%_datadir/gfxboot/%theme-$v/
    popd
done

%post -n %base_name-installer-%theme-sj
%__ln_s -nf %theme-installer/message /boot/splash/message
%__ln_s -nf /boot/splash/%theme-installer /boot/splash/%theme
%__ln_s -nf %_datadir/gfxboot/%theme-installer %_datadir/gfxboot/%theme


%preun -n %base_name-installer-%theme-sj
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "%theme/message" ] ||
    %__rm -f /boot/splash/message

%post -n %base_name-system-%theme-sj
%__ln_s -nf %theme-system/message /boot/splash/message
%__ln_s -nf /boot/splash/%theme-system /boot/splash/%theme
%__ln_s -nf %_datadir/gfxboot/%theme-system %_datadir/gfxboot/%theme

%preun -n %base_name-system-%theme-sj
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "%theme/message" ] ||
    %__rm -f /boot/splash/message

%post -n %base_name-livecd-%theme-sj
%__ln_s -nf %theme-livecd/message /boot/splash/message
%__ln_s -nf /boot/splash/%theme-livecd /boot/splash/%theme
%__ln_s -nf %_datadir/gfxboot/%theme-livecd %_datadir/gfxboot/%theme


%preun -n %base_name-livecd-%theme-sj
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "%theme/message" ] ||
    %__rm -f /boot/splash/message


%files -n %base_name-installer-%theme-sj
%_datadir/gfxboot/%theme-installer
/boot/splash/%theme-installer

%files -n %base_name-system-%theme-sj
%_datadir/gfxboot/%theme-system
/boot/splash/%theme-system

%files -n %base_name-livecd-%theme-sj
%_datadir/gfxboot/%theme-livecd
/boot/splash/%theme-livecd

%changelog
* Thu Apr 17 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.0.0-alt1
- rebuilt with recent sources packages

* Wed Dec 12 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.0.0-alt0.9
- renamed & adopted to schooljunior

* Thu Sep 13 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.0.0-alt0.8
- changed to greeny theme

* Wed Aug 29 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 4.0.0-alt0.7
- used for junior

* Wed Aug 29 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.7
- fixed bug with equal files in diffrent subpackages 

* Thu Aug 16 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.6
- split on source and design package

* Tue Aug 14 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.5.5
- color and size of titlebars in desktop changed  

* Fri Aug 10 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.5.4
- Name of distribution on graphics changed 

* Mon Aug 06 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.5.3
- set ramdisk_size=65535

* Wed Jul 18 2007 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.5.2
- Set default language to "ru_RU".
- Always propagate language to cmdline.

* Tue Jul 10 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.5.1
- pinguns disabled 

* Mon Jul 02 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.5.0
- split to installer/livecd/system 

* Thu Jun 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.7
- fonts changed to DevaVuSans 16 

* Tue Jun 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.6
- added design for desktop 

* Tue Jun 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.5
- language changed to country, added titles to menus

* Tue May 29 2007 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.4.4.1
- Reverted default language change introduced in 4.0.0-alt0.4.3.

* Fri May 25 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.4
- added lang to dups clean list 

* Wed May 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.3
- default language set to Russian, russian help rewritten 

* Tue May 22 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.2
- bootsplash resolution set to 800x600, vesa mode removed 

* Mon Apr 23 2007 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.4.1
- Removed backup files.
- Uncompressed tarballs.
- design-bootloader/common.inc: Passed vga=normal in text mode.
- design-bootloader/po (txt_text_mode): Renamed "Base" to "Base Mode".

* Thu Apr 19 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.4
- remove "Driver Update Disk" option
- rename "Text Mode" menu entry to "Base"

* Mon Apr 16 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.3
- add graphics for -server
- more split colors into desing themes

* Wed Apr 11 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.2
- cleanup uk help text; thanks gvy@alt

* Tue Apr 10 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.1
- cut design to separated tarballs
- cleanup en,ru help text
- bump version

* Tue Apr 03 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.7
- don't cut leading '/' from networking directory

* Mon Mar 19 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.6
- add Tatar and Kazakh to defualt languages list

* Wed Mar 14 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.5
- set ramdisk_size=50000 for ftp/http install methods

* Fri Mar 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.4
- fix default options to automatic=method:cdrom

* Fri Mar 02 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.3
- fix "automatic" kernel options by F4
- turn off startup animation
- drop unused languages

* Thu Mar 01 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.2
- change kernel options and menu for install method menu
- small graphics update

* Wed Dec 13 2006 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.1
- testing variant of new format

* Tue Aug 09 2005 Anton D. Kachalov <mouse@altlinux.org> 2.9.8-alt1.1
- added x86_64 to BuildArch

* Mon Jun 27 2005 Anton Farygin <rider@altlinux.ru> 2.9.8-alt1
- belarusian translations added
- fixed #6664 (menu item down after keys from panel pressing)

* Tue Jun 07 2005 Anton Farygin <rider@altlinux.ru> 2.9.7-alt1
- updated translation

* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 2.9.6-alt1
- updated help and font for uk (#6829)

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.4-alt1
- post scripts added

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.3-alt1
- updated isolinux parameters

* Wed Mar 16 2005 Anton Farygin <rider@altlinux.ru> 2.9.2-alt1
- prepare for ALT Linux 3.0 Compact

* Thu Dec 23 2004 Anton Farygin <rider@altlinux.ru> 2.9.1-alt1
- prepare for next Master

* Tue Jun 15 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt1
- updated for Master 2.4

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt1.1
- update boot picture

* Tue Feb 11 2003 Rider <rider@altlinux.ru> 2.2-alt1
- first build for ALT Linux

